Replace services
Replaces the entire service list for a location. Google's API requires full replacement; individual item updates are not supported. Each service can be structured (using a predefined serviceTypeId) or free-form (custom label).
API key authentication - use your Zernio API key as a Bearer token
In: header
Path Parameters
Query Parameters
Override which location to target. If omitted, uses the account's selected location.
Response Body
application/json
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.gmbservices.updateGoogleBusinessServices({ path: { accountId: 'account_abc123', }, body: { serviceItems: [ { structuredServiceItem: { serviceTypeId: 'servicetype_abc123', description: 'Hello, world!', }, freeFormServiceItem: { category: 'string', label: { displayName: 'Example', description: 'Hello, world!', }, }, price: { currencyCode: 'string', units: 'string', nanos: 0, }, }, ], },});console.log(data);{
"success": true,
"services": [
{}
]
}{
"error": "string",
"details": {}
}{
"error": "string",
"details": {}
}Update action link PATCH
Updates a place action link (change URL or action type). Only the fields included in the request body will be updated.
List Discord guild channels GET
Returns the text, announcement, and forum channels in the connected Discord guild. Use this to discover available channels when switching the connected channel via PATCH /v1/accounts/{accountId}/discord-settings.